Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Interface IPolygonAnchorableFigure

All Superinterfaces:
  IAnchorableFigure

All Known Implementing Classes:
  PolylineConnectionEx

public interface IPolygonAnchorableFigure
extends IAnchorableFigure

Method Summary
`PointList` `getPolygonPoints()` This method allows the implementing class to return a list of points that represent the polygon to be connected to.

Methods inherited from interface org.eclipse.gmf.runtime.draw2d.ui.figures.IAnchorableFigure
`getConnectionAnchor, getConnectionAnchorTerminal, getSourceConnectionAnchorAt, getTargetConnectionAnchorAt`

Method Detail

### getPolygonPoints

    public PointList getPolygonPoints()

  This method allows the implementing class to return a list of points that represent the polygon to be connected to.

  Returns:
    a list of points forming the polygon

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.